GraphChi 0.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Macros
Public Member Functions | Static Public Member Functions | Static Public Attributes
als_vertex_program Class Reference

`#include <als_vertex_program.hpp>`

Inheritance diagram for als_vertex_program:

List of all members.

## Public Member Functions
edge_dir_type | gather_edges (icontext_type &context, const vertex_type &vertex) const
gather_type | gather (icontext_type &context, const vertex_type &vertex, edge_type &edge) const
void | apply (icontext_type &context, vertex_type &vertex, const gather_type &sum)
edge_dir_type | scatter_edges (icontext_type &context, const vertex_type &vertex) const
void | scatter (icontext_type &context, const vertex_type &vertex, edge_type &edge) const
Public Member Functions inherited from graphlab::ivertex_program< graph_type, gather_type, graphlab::messages::sum_priority >
virtual void | init (icontext_type &context, const vertex_type &vertex, const message_type &msg)

## Static Public Member Functions
static graphlab::empty | signal_left (icontext_type &context, vertex_type &vertex)
| Signal all vertices on one side of the bipartite graph.

## Static Public Attributes
static double | TOLERANCE = 1e-3
static double | LAMBDA = 0.01
static size_t | MAX_UPDATES = -1

## Additional Inherited Members
Public Types inherited from graphlab::ivertex_program< graph_type, gather_type, graphlab::messages::sum_priority >
typedef graph_type::vertex_data_type | vertex_data_type
typedef graph_type::edge_data_type | edge_data_type
typedef gather_type | gather_type
typedef graphlab::messages::sum_priority | message_type
typedef graph_type | graph_type
typedef graphchi::vid_t | vertex_id_type
typedef GraphLabVertexWrapper < vertex_data_type, edge_data_type > | vertex_type
typedef GraphLabEdgeWrapper < vertex_data_type, edge_data_type > | edge_type
typedef icontext< graph_type, gather_type, message_type > | icontext_type
typedef graphlab::edge_dir_type | edge_dir_type

## Detailed Description

ALS vertex program type

## Member Function Documentation

void als_vertex_program::apply | ( | icontext_type & | context,
|  | vertex_type & | vertex,
|  | const gather_type & | sum
| ) |  |
| inline virtual

apply collects the sum of XtX and Xy

Implements graphlab::ivertex_program< graph_type, gather_type, graphlab::messages::sum_priority >.

gather_type als_vertex_program::gather | ( | icontext_type & | context,
|  | const vertex_type & | vertex,
|  | edge_type & | edge
| ) |  | const
| inline virtual

The gather function computes XtX and Xy

Reimplemented from graphlab::ivertex_program< graph_type, gather_type, graphlab::messages::sum_priority >.

edge_dir_type als_vertex_program::gather_edges | ( | icontext_type & | context,
|  | const vertex_type & | vertex
| ) |  | const
| inline virtual

The set of edges to gather along

Reimplemented from graphlab::ivertex_program< graph_type, gather_type, graphlab::messages::sum_priority >.

void als_vertex_program::scatter | ( | icontext_type & | context,
|  | const vertex_type & | vertex,
|  | edge_type & | edge
| ) |  | const
| inline virtual

Scatter reschedules neighbors

Reimplemented from graphlab::ivertex_program< graph_type, gather_type, graphlab::messages::sum_priority >.

edge_dir_type als_vertex_program::scatter_edges | ( | icontext_type & | context,
|  | const vertex_type & | vertex
| ) |  | const
| inline virtual

The edges to scatter along

Reimplemented from graphlab::ivertex_program< graph_type, gather_type, graphlab::messages::sum_priority >.

## Member Data Documentation

double als_vertex_program::TOLERANCE = 1e-3
| static

The convergence tolerance

The documentation for this class was generated from the following files:

- example_apps/matrix_factorization/graphlab_gas/als_vertex_program.hpp
- example_apps/matrix_factorization/graphlab_gas/als_graphlab.cpp